package com.ibm.websphere.samples.cmpa;

//==============================================================================
//
// "This program may be used, executed, copied, modified and distributed without
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724-H74,   5724-L01, 5655-N53, 5724-I82, 5655-R15 (C) COPYRIGHT International Business Machines Corp., 2005, 2006
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
// @(#) 1.3 WBISRVR/ws/code/samp.cmpa/src/com/ibm/websphere/samples/cmpa/AccountBackend_SEI.java, WAS.samp.cmpa, WBI70.WBISRVR, of1033.11 4/13/06 22:15:09 [8/24/10 06:41:39]
//
//==============================================================================

public interface AccountBackend_SEI extends java.rmi.Remote
{
 public abstract boolean updateAccount(java.lang.String id,java.lang.Float balance) throws java.rmi.RemoteException;
 public abstract java.util.Vector selectAccounts() throws java.rmi.RemoteException;
 public abstract java.util.Vector retrieveMultipleAccounts(float threshold) throws java.rmi.RemoteException;
 public abstract com.ibm.websphere.samples.cmpa.AccountWrapper retrieveAccount(java.lang.String id) throws javax.ejb.ObjectNotFoundException,java.rmi.RemoteException;
 public abstract boolean deleteAccount(java.lang.String id) throws java.rmi.RemoteException;
 public abstract float debitAccount(java.lang.String id,float balance) throws javax.ejb.ObjectNotFoundException,com.ibm.websphere.samples.cmpa.InsufficientFundsException,java.rmi.RemoteException;
 public abstract void resetAccounts() throws java.rmi.RemoteException;
 public abstract float creditAccount(java.lang.String id,float balance) throws javax.ejb.ObjectNotFoundException,java.rmi.RemoteException;
 public abstract void createAccount(java.lang.String id,java.lang.Float balance) throws javax.ejb.DuplicateKeyException,java.rmi.RemoteException;
}
