package com.ibm.websphere.samples.cmpa.sdorep.rar;

//==============================================================================
//
// "This program may be used, executed, copied, modified and distributed without
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724-L01, 5655-N53, 5724-I82, 5655-R15,  (C) COPYRIGHT International Business Machines Corp., 2004, 2006
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
// @(#) 1.5 WBISRVR/ws/code/samp.cmpa/src/com/ibm/websphere/samples/cmpa/sdorep/rar/SdoRepositoryConnectionImpl.java, WAS.samp.cmpa, WBI70.WBISRVR, of1033.11 4/13/06 22:10:34 [8/24/10 06:41:34]
//
//==============================================================================

import javax.resource.cci.Connection;
import javax.resource.cci.ConnectionMetaData;
import javax.resource.cci.Interaction;
import javax.resource.cci.LocalTransaction;
import javax.resource.cci.ResultSetInfo;
import javax.resource.NotSupportedException;
import javax.resource.ResourceException;


/**
 * Connection for cmpaSdoRepository.rar
 *
 * @author John W. Alcorn (jalcorn@us.ibm.com)
 */
public class SdoRepositoryConnectionImpl implements Connection {
   public Interaction createInteraction() throws ResourceException {
      return new SdoRepositoryInteractionImpl(this);
   }

   public LocalTransaction getLocalTransaction() throws ResourceException {
      throw new NotSupportedException("getLocalTransaction()");
   }

   public ConnectionMetaData getMetaData() throws ResourceException {
      throw new NotSupportedException("getMetaData()");
   }

   public ResultSetInfo getResultSetInfo() throws ResourceException {
      throw new NotSupportedException("getResultSetInfo()");
   }

   public void close() throws ResourceException {
      //no-op - we have to support this, but nothing to do in our case
   }
}
