<!--
 "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own
 instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use
 or for redistribution by customer, as part of such an application, in customer's own products. "

 Product 5630-A36,   5724-L01, 5655-N53, 5724-I82, 5655-R15 (C) COPYRIGHT International Business Machines Corp., 2005, 2006
 All Rights Reserved * Licensed Materials - Property of IBM
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
        pageEncoding="ISO-8859-1"%>
<%@ page import = "com.ibm.websphere.samples.cmpa.AccountGallery" %>
<%@ page import = "java.util.*" %>
<%
   Locale browserLocale = request.getLocale();
   ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.websphere.samples.cmpa.sampcmpaPIIMessages", browserLocale);
   String titleString = bundle.getString("JSP_TITLE");
   String headingString = bundle.getString("JSP_HEADING");
   String altTextString = bundle.getString("JSP_ALT_TEXT");
   String keyString = bundle.getString("JSP_KEY");
   String amountString = bundle.getString("JSP_AMOUNT");
   String backEndTypeString = bundle.getString("JSP_BACKEND_TYPE");
   String operationString = bundle.getString("JSP_OPERATION");
   String invokeString = bundle.getString("JSP_INVOKE");
   String resultString = bundle.getString("JSP_RESULT");
   String successValue = bundle.getString("JSP_SUCCESS");

   String backEndType = request.getParameter("backEndType");
   String key = request.getParameter("key");
   String amountValueString = request.getParameter("amount");
   String operation = request.getParameter("operation");
%>
  <head>
    <meta name="GENERATOR" content="IBM WebSphere Studio;charset=ISO-8859-1">
    <title><%= titleString %></title>
    <!-- Default Stylesheet and Javascript used to set browser and DBCS Stylesheet -->
    <link rel='stylesheet' href='/WSsamples/en/SamplesMaster.css'>
    <script language="JavaScript" src="/WSsamples/scripts/browserStyle.js"></script>
  </head>
  <body>
    <img src="/WSsamples/images/success_banner.jpg" valign=top alt="<%= altTextString %>">
    <h1 class="sampjsp"><%= headingString %></h1>
    <hr width=100%>
    <form action="index.jsp" method="post">
<%
   //code to determine which entry in the backEndType drop-down should be selected
   String cciSelected = "";
   String ejbSelected = "";
   String jaxrpcSelected = "";
   String scaSelected = "";
   String customSelected = "";
   if (backEndType != null) {
   //  START NON-TRANSLATABLE
      if (backEndType.equals("CCI")) cciSelected = "selected";
      if (backEndType.equals("EJB")) ejbSelected = "selected";
      if (backEndType.equals("JAXRPC")) jaxrpcSelected = "selected";
      if (backEndType.equals("SCA")) scaSelected = "selected";
      if (backEndType.equals("Custom")) customSelected = "selected";
   //  END NON-TRANSLATABLE
   }
%>
      <select name="backEndType">
        <option value=""><%= backEndTypeString %></option>
        <option <%= cciSelected %> value="CCI">CCI</option>
        <option <%= ejbSelected %> value="EJB">EJB</option>
        <option <%= jaxrpcSelected %> value="JAXRPC">JAX-RPC</option>
        <option <%= scaSelected %> value="SCA">SCA</option>
        <option <%= customSelected %> value="Custom">Custom</option>
      </select>
      <p>
      <%= keyString %>
<%
   //code to determine key value (handles null)
   String keyValue = "";
   if (key != null) keyValue = key;
%>
      <input name="key" type="text" size="8" value="<%= keyValue %>">
      &nbsp;
      <%= amountString %>
<%
   //code to determine amount value (handles null)
   String amountValue = "";
   if (amountValueString != null) amountValue = amountValueString;
%>
      <input name="amount" type="text" size="10" value="<%= amountValue %>">
      <p>
<%
   //code to determine which entry in the operation drop-down should be selected
   String ejbCreateSelected = "";
   String ejbFindByPrimaryKeySelected = "";
   String ejbStoreSelected = "";
   String ejbRemoveSelected = "";
   String ejbSelectAllBalancesSelected = "";
   String ejbFindByBalanceThresholdSelected = "";
   String ejbHomeResetSelected = "";
   String debitSelected = "";
   String creditSelected = "";
   if (operation != null) {
      //  START NON-TRANSLATABLE
      if (operation.equals("ejbCreate")) ejbCreateSelected = "selected";
      if (operation.equals("ejbFindByPrimaryKey")) ejbFindByPrimaryKeySelected = "selected";
      if (operation.equals("ejbStore")) ejbStoreSelected = "selected";
      if (operation.equals("ejbRemove")) ejbRemoveSelected = "selected";
      if (operation.equals("ejbSelectAllBalances")) ejbSelectAllBalancesSelected = "selected";
      if (operation.equals("ejbFindByBalanceThreshold")) ejbFindByBalanceThresholdSelected = "selected";
      if (operation.equals("ejbHomeReset")) ejbHomeResetSelected = "selected";
      if (operation.equals("debit")) debitSelected = "selected";
      if (operation.equals("credit")) creditSelected = "selected";
      //  END NON-TRANSLATABLE
   }
%>
      <select name="operation">
        <option value=""><%= operationString %></option>
        <option <%= ejbCreateSelected %> value="ejbCreate">ejbCreate</option>
        <option <%= ejbFindByPrimaryKeySelected %>  value="ejbFindByPrimaryKey">ejbFindByPrimaryKey</option>
        <option <%= ejbStoreSelected %> value="ejbStore">ejbStore</option>
        <option <%= ejbRemoveSelected %> value="ejbRemove">ejbRemove</option>
        <option <%= ejbSelectAllBalancesSelected %> value="ejbSelectAllBalances">ejbSelectAllBalances</option>
        <option <%= ejbFindByBalanceThresholdSelected %> value="ejbFindByBalanceThreshold">ejbFindByBalanceThreshold</option>
        <option <%= ejbHomeResetSelected %> value="ejbHomeReset">ejbHomeReset</option>
        <option <%= debitSelected %> value="debit">debit</option>
        <option <%= creditSelected %> value="credit">credit</option>
      </select>
      <p>
      <input name="invoke" type="submit" value="<%= invokeString %>">
    </form>
    <p>
    <%= resultString %>
<%
    String resultValue = AccountGallery.getResult(backEndType, operation, key, amountValue);
    if (resultValue == null) resultValue = successValue;
%>
    <%= resultValue %>
  </body>
</html>
