package com.ibm.websphere.samples.cmpa;

//==============================================================================
//
// "This program may be used, executed, copied, modified and distributed without
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724-H74,   5724-L01, 5655-N53, 5724-I82, 5655-R15 (C) COPYRIGHT International Business Machines Corp., 2004, 2006
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
// @(#) 1.3 WBISRVR/ws/code/samp.cmpa/src/com/ibm/websphere/samples/cmpa/AccountLocal.java, WAS.samp.cmpa, WBI70.WBISRVR, of1033.11 4/13/06 22:10:21 [8/24/10 06:41:34]
//
//==============================================================================

import javax.ejb.EJBLocalObject;


/**
 * Local interface for Enterprise Bean: Account
 */
public interface AccountLocal extends EJBLocalObject {
	/**
	 * getId
	 */
	public String getId();
	/**
	 * getBalance
	 */
	public float getBalance();
	/**
	 * setBalance
	 */
	public void setBalance(float newBalance);

	/**
	 * credit
	 */
	public float credit(float amount);
	/**
	 * debit
	 */
	public float debit(float amount) throws InsufficientFundsException;
}
