package com.ibm.websphere.samples.cmpa;

//==============================================================================
//
// "This program may be used, executed, copied, modified and distributed without
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724-H74,   5724-L01, 5655-N53, 5724-I82, 5655-R15 (C) COPYRIGHT International Business Machines Corp., 2004, 2006
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
// @(#) 1.4 WBISRVR/ws/code/samp.cmpa/src/com/ibm/websphere/samples/cmpa/InsufficientFundsException.java, WAS.samp.cmpa, WBI70.WBISRVR, of1033.11 4/13/06 22:10:27 [8/24/10 06:41:34]
//
//==============================================================================

/**
 * Exception for when a debit operation would cause the account to be overdrawn.
 */
public class InsufficientFundsException extends Exception {

	/**
	 * Default constructor
	 */
	public InsufficientFundsException() {
		super();
	}

	/**
	 * String constructor
	 *
	 * @param message The message to associate with the exception
	 */
	public InsufficientFundsException(String message) {
		super(message);
	}

	/**
	 * Get accessor for exception message.  The WSDL2Java emitter introspects
	 * classes corresponding to complex types defined in the wsdl, expecting to
	 * find a getter for each named element defined for the complex type (and
	 * this class defines a "message" element in the AccountBackend.wsdl).
	 *
	 * @return The message associated with the exception
	 */
	public String getMessage() {
		return super.getMessage();
	}
}
